### Method

# Gtk TreeModel foreach

#### Declaration [src]

    void
    gtk_tree_model_foreach (
      GtkTreeModel* model,
      GtkTreeModelForeachFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `func` on each node in model in a depth-first fashion.

If `func` returns `TRUE`, then the tree ceases to be walked, and gtk_tree_model_foreach() returns.

#### Parameters

`func` | `GtkTreeModelForeachFunc`
| A function to be called on each row.
`user_data` | `gpointer`
| User data to passed to `func`.